#-------------------------------------------------------------------------------
#Exemples d'ajutements de lois de mortalit
#-------------------------------------------------------------------------------
#Rinitialisation de l'espace de travail
rm(list=ls())
dossier = getwd()
#dossierOutils="C:/data/Logiciel R/Outils"
dossierOutils="http://www.ressources-actuarielles.net/C1256F13006585B2/0/041c5a177d963c7fc12573b5002387b4/$FILE"
dossierTM="http://www.ressources-actuarielles.net/C1256F13006585B2/0/91C780A7E1385379C1257F8C001FA87E/$FILE"
dossierData=paste(dossier,"/data",sep="")
dossierTables=paste(dossier,"/tables",sep="")
dossierResultats=paste(dossier,"/resultats",sep="")
dossierFigures=paste(dossier,"/figures/",sep="")

nbJoursAnnee=365.25
dataName="data"
sexeH="M"
sepDecimal=","
#-------------------------------------------------------------------------------
library(survival)
library(timereg)                                
source(paste(dossierOutils,"/OutilsSurvie.R",sep=""))
#-------------------------------------------------------------------------------
#Initialisation de la gestion des figures
sauveFigure=function(){
  numeroFigure=length(list.files(dossierFigures))+1
  png(file=paste(dossierFigures,"/","fig",numeroFigure,".png", sep=""), width  = 2*2100, height = 2100, res=300, pointsize= 12)
  }                                                                                                                                    
#-------------------------------------------------------------------------------
supprimeModalitesVides=function(x, v=NULL){
  if (!is.data.frame(x)) x <- as.data.frame(x)
  # Les variables a traiter sont specifiees ?
  if (is.null(v))
    v <- names(x)
  # Pour chaque variable de type facteur, supression des levels inutiliss
  for (i in 1:length(x)) {
    if (is.factor(x[[i]]) & names(x)[i] %in% v) 
      x[[i]] <- factor(x[[i]])
    }
  return(x)
  }
#-------------------------------------------------------------------------------
source("1-ImporteTraite.r")
source("2-Ajustements.r")
source("3-Comparaisons.r")
source("4-Heterogeneite.r")

